This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316222 - Packstack installation failed due to wrong http config
Packstack installation failed due to wrong http config
Status: CLOSED INSUFFICIENT_DATA
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Liberty
Unspecified Unspecified
low Severity low
: ---
: trunk
Assigned To: Martin Magr
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 12:17 EST by Chandan
Modified: 2017-06-18 02:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 02:57:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandan 2016-03-09 12:17:33 EST
Description of problem: The installation fails due to missing configuration parameter in the apache configuration file.



Version-Release number of selected component (if applicable):

cat /etc/redhat-release
CentOS Linux release 7.2.1511 (Core)

packstack --version
packstack Liberty 7.0.0.dev1682.g42b3426

[root@puppet ~]# sestatus
SELinux status:                 disabled



How reproducible:
Follow RDO quick install steps.

sudo yum install -y https://www.rdoproject.org/repos/rdo-release.rpm
sudo yum update -y
sudo yum install -y openstack-packstack
packstack --allinone


Steps to Reproduce:

sudo yum install -y https://www.rdoproject.org/repos/rdo-release.rpm
sudo yum update -y
sudo yum install -y openstack-packstack
packstack --allinone

Actual results:

[root@puppet ~]# packstack --allinone
Welcome to the Packstack setup utility

The installation log file is available at: /var/tmp/packstack/20160309-114934-2emU6W/openstack-setup.log
Packstack changed given value  to required value /root/.ssh/id_rsa.pub

Installing:
Clean Up                                             [ DONE ]
Discovering ip protocol version                      [ DONE ]
Setting up ssh keys                                  [ DONE ]
Preparing servers                                    [ DONE ]
Pre installing Puppet and discovering hosts' details [ DONE ]
Adding pre install manifest entries                  [ DONE ]
Setting up CACERT                                    [ DONE ]
Adding AMQP manifest entries                         [ DONE ]
Adding MariaDB manifest entries                      [ DONE ]
Fixing Keystone LDAP config parameters to be undef if empty[ DONE ]
Adding Keystone manifest entries                     [ DONE ]
Adding Glance Keystone manifest entries              [ DONE ]
Adding Glance manifest entries                       [ DONE ]
Adding Cinder Keystone manifest entries              [ DONE ]
Checking if the Cinder server has a cinder-volumes vg[ DONE ]
Adding Cinder manifest entries                       [ DONE ]
Adding Nova API manifest entries                     [ DONE ]
Adding Nova Keystone manifest entries                [ DONE ]
Adding Nova Cert manifest entries                    [ DONE ]
Adding Nova Conductor manifest entries               [ DONE ]
Creating ssh keys for Nova migration                 [ DONE ]
Gathering ssh host keys for Nova migration           [ DONE ]
Adding Nova Compute manifest entries                 [ DONE ]
Adding Nova Scheduler manifest entries               [ DONE ]
Adding Nova VNC Proxy manifest entries               [ DONE ]
Adding OpenStack Network-related Nova manifest entries[ DONE ]
Adding Nova Common manifest entries                  [ DONE ]
Adding Neutron VPNaaS Agent manifest entries         [ DONE ]
Adding Neutron FWaaS Agent manifest entries          [ DONE ]
Adding Neutron LBaaS Agent manifest entries          [ DONE ]
Adding Neutron API manifest entries                  [ DONE ]
Adding Neutron Keystone manifest entries             [ DONE ]
Adding Neutron L3 manifest entries                   [ DONE ]
Adding Neutron L2 Agent manifest entries             [ DONE ]
Adding Neutron DHCP Agent manifest entries           [ DONE ]
Adding Neutron Metering Agent manifest entries       [ DONE ]
Adding Neutron Metadata Agent manifest entries       [ DONE ]
Adding Neutron SR-IOV Switch Agent manifest entries  [ DONE ]
Checking if NetworkManager is enabled and running    [ DONE ]
Adding OpenStack Client manifest entries             [ DONE ]
Adding Horizon manifest entries                      [ DONE ]
Adding Swift Keystone manifest entries               [ DONE ]
Adding Swift builder manifest entries                [ DONE ]
Adding Swift proxy manifest entries                  [ DONE ]
Adding Swift storage manifest entries                [ DONE ]
Adding Swift common manifest entries                 [ DONE ]
Adding Provisioning Demo manifest entries            [ DONE ]
Adding Provisioning Demo bridge manifest entries     [ DONE ]
Adding Provisioning Glance manifest entries          [ DONE ]
Adding MongoDB manifest entries                      [ DONE ]
Adding Redis manifest entries                        [ DONE ]
Adding Ceilometer manifest entries                   [ DONE ]
Adding Ceilometer Keystone manifest entries          [ DONE ]
Adding Nagios server manifest entries                [ DONE ]
Adding Nagios host manifest entries                  [ DONE ]
Adding post install manifest entries                 [ DONE ]
Copying Puppet modules and manifests                 [ DONE ]
Applying 10.10.19.138_prescript.pp
10.10.19.138_prescript.pp:                           [ DONE ]
Applying 10.10.19.138_amqp.pp
Applying 10.10.19.138_mariadb.pp
10.10.19.138_amqp.pp:                                [ DONE ]
10.10.19.138_mariadb.pp:                             [ DONE ]
Applying 10.10.19.138_keystone.pp
Applying 10.10.19.138_glance.pp
Applying 10.10.19.138_cinder.pp
10.10.19.138_keystone.pp:                         [ ERROR ]
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 10.10.19.138_keystone.pp
Error: /Stage[main]/Apache::Service/Service[httpd]: Failed to call refresh: Could not restart Service[httpd]: Execution of '/usr/bin/systemctl restart httpd' returned 1: Job for httpd.service failed because the control process exited with error code. See "systemctl status httpd.service" and "journalctl -xe" for details.
You will find full trace in log /var/tmp/packstack/20160309-114934-2emU6W/manifests/10.10.19.138_keystone.pp.log
Please check log file /var/tmp/packstack/20160309-114934-2emU6W/openstack-setup.log for more information
Additional information:
 * A new answerfile was created in: /root/packstack-answers-20160309-114935.txt
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * Warning: NetworkManager is active on 10.10.19.138. OpenStack networking currently does not work on systems that have the Network Manager service enabled.
 * File /root/keystonerc_admin has been created on OpenStack client host 10.10.19.138. To use the command line tools you need to source the file.
 * To access the OpenStack Dashboard browse to http://10.10.19.138/dashboard .
Please, find your login credentials stored in the keystonerc_admin in your home directory.
 * To use Nagios, browse to http://10.10.19.138/nagios username: nagiosadmin, password: 7cca18759de748dc

Expected results:

Installation should go without issues.

Additional info:

For some reason, the http module include line is missing.

HTTP issue is resolved by adding the line in http conf file

+Include /etc/httpd/conf.modules.d/*
Comment 2 Javier Peña 2016-05-18 12:50:39 EDT
I have not been able to reproduce the issue. The line you mentioned is not in my httpd.conf file, yet Packstack manages to install properly for me.

Did you have any specific httpd configuration in place before running Packstack?
Comment 3 Chandan 2016-05-18 12:54:13 EDT
No I didnt have any configuration. I just used the steps provided in the documentation.
Comment 4 Christopher Brown 2017-06-18 02:57:29 EDT
Closing, too old and not enough information.

Note You need to log in before you can comment on or make changes to this bug.